Ruby - Bug #12213

Lots of warnings: operation on ‘precision’ may be undefined
03/24/2016 09:57 AM - duerst (Martin Darst)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.4.0dev (2016-03-24 trunk 54246) |Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:
[x86_64-cygwin] DONTNEED

Description
When compiling ruby trunk on cygwin, | get a long list of warnings starting with the following:

strftime.c:290:14: warning: operation on ‘precision’ may be undefined [-Wsequence-poin {]
precision = FMT_PRECISION(def_prec);
A

strftime.c:411:4: note: in expansion of macro ‘FMT’

FMT('0", 2, "d", (int)i);

The other line numbers are: 425, 430, 435, 440, 462, 464, 323, and so on. Besides line 290, which turns up a lot, line 327 is also
mentioned a few times, as well as the macro 'FMTV' (rather than 'FMT").

Associated revisions

Revision 20215f0181fd6124e927ab28d25610626fe43221 - 03/24/2016 01:38 PM - nobu (Nobuyoshi Nakada)

strftime.c: remove recursive-assignments

e strftime.c (FMT, FMTV): remove recursive-assignments to get rid
of undefined behavior. [ruby-core:74532] [Bug #12213]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54248 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 20215f01 - 03/24/2016 01:38 PM - nobu (Nobuyoshi Nakada)
strftime.c: remove recursive-assignments

e stritime.c (FMT, FMTV): remove recursive-assignments to get rid
of undefined behavior. [ruby-core:74532] [Bug #12213]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54248 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 7d488c4e4eb30e8d9d3cde5dc628beaf0639bb51 - 03/24/2016 03:01 PM - nobu (Nobuyoshi Nakada)
strftime.c: refine r54248

o stritime.c (FMT_PRECISION): eliminate side effects.
[Bug #12213]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54250 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 7d488c4e - 03/24/2016 03:01 PM - nobu (Nobuyoshi Nakada)
strftime.c: refine r54248

e strfitime.c (FMT_PRECISION): eliminate side effects.
[Bug #12213]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54250 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/24/2016 01:38 PM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed
Applied in changeset r54248.

strftime.c: remove recursive-assignments

e strftime.c (FMT, FMTV): remove recursive-assignments to get rid
of undefined behavior. [ruby-core:74532] [Bug #12213]

#2 - 04/22/2016 07:58 AM - usa (Usaku NAKAMURA)
- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED

07/16/2025 22


bugs.ruby-lang.org/issues/12213
https://bugs.ruby-lang.org/issues/12213
http://www.tcpdf.org

